org.eclipse.incquery.patternlanguage.validation.whitelist

## Class PureWhitelist.PureElement

- java.lang.Object
- - org.eclipse.incquery.patternlanguage.validation.whitelist.PureWhitelist.PureElement

- Enclosing class:
    PureWhitelist

      @Data
      public static class PureWhitelist.PureElement
      extends java.lang.Object

  Declares that a method is pure or all methods in a class or package are pure.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PureWhitelist.PureElement.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PureElement(java.lang.String fullyQualifiedName, PureWhitelist.PureElement.Type type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `covers(org.eclipse.xtext.common.types.JvmOperation jvmOperation)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getFullyQualifiedName()`
    `PureWhitelist.PureElement.Type` | `getType()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PureElement

          public PureElement(java.lang.String fullyQualifiedName,
                             PureWhitelist.PureElement.Type type)

  - ### Method Detail

    - #### covers

          public boolean covers(org.eclipse.xtext.common.types.JvmOperation jvmOperation)

    - #### hashCode

          @Pure
          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          @Pure
          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          @Pure
          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getFullyQualifiedName

          @Pure
          public java.lang.String getFullyQualifiedName()

    - #### getType

          @Pure
          public PureWhitelist.PureElement.Type getType()